Skip to main content
GET
/
accounts
cURL
curl --request GET \
  --url https://api.hyperrails.io/api/v1/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'x-service-source: <x-service-source>'
import requests

url = "https://api.hyperrails.io/api/v1/accounts"

headers = {
"x-service-source": "<x-service-source>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-service-source': '<x-service-source>', Authorization: 'Bearer <token>'}
};

fetch('https://api.hyperrails.io/api/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
    "accountNumber": "7706438396",
    "accountName": "Quantum Technologies",
    "bankName": "Testbank MFB",
    "mode": "live",
    "lifeCycle": "temporary"
  }
]

Authorizations

Authorization
string
header
required

API key authentication using Bearer token

Headers

x-service-source
string
default:HyperRails
required

Identifies the calling service

Example:

"HyperRails"

Response

A JSON array of dynamic details objects.

id
string<uuid>
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

accountNumber
string
Example:

"7706438396"

accountName
string
Example:

"Quantum Technologies"

bankName
string
Example:

"Testbank MFB"

mode
enum<string>
Available options:
live,
test
Example:

"live"

lifeCycle
string
Example:

"temporary"